%bcond_without check

# https://github.com/daedaleanai/dbt
%global goipath         github.com/daedaleanai/dbt
Version:                1.3.8

%gometa -f

%global common_description %{expand:
Daedalean Build Tool.}

%global golicenses      LICENSE
%global godocs          README.md completion/README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Daedalean Build Tool

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
#for cmd in cmd/* ; do
#  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
#done
%gobuild -o %{gobuilddir}/bin/dbt %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md completion/README.md
%{_bindir}/*

%gopkgfiles

%changelog
%autochangelog
